%define version     1.6.12
%global commit      4e917f6f44a065aabede824ee2e03e6a8d1da908
%global gitrel %(c=%{commit}; echo ${c:0:7})
%define date 20220502
%define rel 2

Name:           cointop
Version:        %{version}
#
Release:  %mkrel -c %{date}git.%{gitrel} %{rel}
Summary:        Interactive terminal based UI application for tracking cryptocurrencies
Group: Office/Finance
License:        Apache-2.0
URL:            https://cointop.sh
#Source0:        https://github.com/miguelmota/cointop/archive/v%{version}.tar.gz
Source0: https://api.github.com/repos/miguelmota/cointop/tarball/%{gitrel}#/cointop-%{version}-git.%{date}.%{gitrel}.tar.gz


BuildRequires:  gcc
BuildRequires:  golang >= 1.14

%description
cointop is a fast and lightweight interactive terminal based UI application for tracking and monitoring cryptocurrency coin stats in real-time.

%prep
#setup -q -n %{name}-%{version}
%setup -q -n cointop-sh-cointop-%{gitrel}

%build
mkdir -p ./_build/src/github.com/cointop-sh
ln -s $(pwd) ./_build/src/github.com/cointop-sh/%{name}

export GOPATH=$(pwd)/_build:%{gopath}
GO111MODULE=off go build -ldflags="-linkmode=external -compressdwarf=false -X github.com/cointop-sh/cointop.cointop=%{version}" -o x .

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./x %{buildroot}%{_bindir}/%{name}

%files
%doc LICENSE README.md
%{_bindir}/%{name}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.6.12-0.20220502git.4e917f6.2.mga10
+ Revision: 2214585
- Mageia 10 Mass Rebuild

* Sun May 08 2022 joequant <joequant> 1.6.12-0.20220502git.4e917f6.1.mga9
+ Revision: 1856835
- imported package cointop

